
#include <iostream>

#include "Vector.h"

class FOO {
public:
	/* when compiling with NO_GCC_ADL_WORKAROUND, 
	 * this example might not compile on GCC <= 4.4 if the following
	 * default-ctor-definition in commented
	 */
	//explicit FOO() : value() {}

	explicit FOO(nemo::RealVector v) : value(v) {}
	nemo::RealVector get(){return value;}
	void set(nemo::RealVector v){this->value = v;}
private:
	nemo::RealVector value;
};


int main(){

	FOO b(nemo::RealVector(nemo::dim(2)));
	std::cout << b.get() << std::endl;
	nemo::RealVector y(nemo::dim(3));
	b.set(y);
	std::cout << b.get() << std::endl;

}


