
#include <iostream>

#include "Matrix.h"

using namespace std;
using namespace nemo;

int main(){
	
	Matrix<int> i(dim(2,2), 42);

	RealMatrix x(dim(3,3), 21.0);
	cout << x(0,1) << endl;
	x(0,1) = 3.14; 
	cout << x(0,1) << endl;
	cout << x << endl;

	RealMatrix y(x); // no deep-copy here
	y(0,0) = 2.7; // copy on write
	cout << x << endl;
	cout << y << endl;
	
	// use standard arithmetic operators
	RealMatrix z = 2 * (x - y);
	cout << x << endl;
	cout << y << endl;
	cout << z << endl;

	cout << ( z * RealVector(1.0, 2.0, 3.0) ) << endl; 
}

